## Upload an image `client.images.v1.create(V1CreateParamsparams, RequestOptionsoptions?): Image` **post** `/accounts/{account_id}/images/v1` Upload an image with up to 10 Megabytes using a single HTTP POST (multipart/form-data) request. An image can be uploaded by sending an image file or passing an accessible to an API url. ### Parameters - `params: V1CreateParams` - `account_id: string` Path param: Account identifier tag. - `id?: string` Body param: An optional custom unique identifier for your image. - `creator?: string` Body param: Can set the creator field with an internal user ID. - `file?: Uploadable` Body param: An image binary data. Only needed when type is uploading a file. - `metadata?: unknown` Body param: User modifiable key-value store. Can use used for keeping references to another system of record for managing images. - `requireSignedURLs?: boolean` Body param: Indicates whether the image requires a signature token for the access. - `url?: string` Body param: A URL to fetch an image from origin. Only needed when type is uploading from a URL. ### Returns - `Image` - `id?: string` Image unique identifier. - `creator?: string | null` Can set the creator field with an internal user ID. - `filename?: string` Image file name. - `meta?: unknown` User modifiable key-value store. Can be used for keeping references to another system of record for managing images. Metadata must not exceed 1024 bytes. - `requireSignedURLs?: boolean` Indicates whether the image can be a accessed only using it's UID. If set to true, a signed token needs to be generated with a signing key to view the image. - `uploaded?: string` When the media item was uploaded. - `variants?: Array` Object specifying available variants for an image. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const image = await client.images.v1.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(image.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "id": "id", "creator": "107b9558-dd06-4bbd-5fef-9c2c16bb7900", "filename": "logo.png", "meta": { "key": "value" }, "requireSignedURLs": true, "uploaded": "2014-01-02T02:20:00.123Z", "variants": [ "https://imagedelivery.net/MTt4OTd0b0w5aj/107b9558-dd06-4bbd-5fef-9c2c16bb7900/thumbnail", "https://imagedelivery.net/MTt4OTd0b0w5aj/107b9558-dd06-4bbd-5fef-9c2c16bb7900/hero", "https://imagedelivery.net/MTt4OTd0b0w5aj/107b9558-dd06-4bbd-5fef-9c2c16bb7900/original" ] }, "success": true } ```